2008-12-21  Andrew Pinski  <pinskia@gmail.com>

	PR target/38300
	* configure: Regenerate.

2008-12-19  Jakub Jelinek  <jakub@redhat.com>

	PR libgcj/38396
	* configure.ac (use_libgcj_bc): Set to no if not enable_shared.
	(LIBGCJ_SPEC): Use -lgcj instead of -lgcj_bc even for -static
	or -static-libgcj.
	* Makefile.am (ecjx_SOURCES): Add ecjx.cc.
	(ecjx_LDADD): Don't add libgcj.la when
	NATIVE && USE_LIBBGCJ_BC.
	* ecjx.cc: New file.
	* Makefile.in: Regenerated.
	* configure: Regenerated.

2008-12-18  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* configure: Regenerate.

2008-12-11  H.J. Lu  <hongjiu.lu@intel.com>

	PR libgcj/38006
	* classpath/tools/resource/gnu/classpath/tools/gjdoc/htmldoclet/inherit.png:
	Set svn:mime-type to application/octet-stream.

2008-12-04  Jack Howarth  <howarth@bromo.med.uc.edu>

	* configure.ac: Add double brackets on darwin[912].
	* configure: Regenerate.

2008-12-02  Jack Howarth  <howarth@bromo.med.uc.edu>

	* configure.ac: Expand to darwin10 and later.
	* configure: Regenerate.
	* testsuite/lib/libjava.exp: Expand to darwin10 and later.

2008-11-12  Steve Ellcey  <sje@cup.hp.com>

	* configure: Regenerate to get new GCC_CHECK_UNWIND_GETIPINFO.

2008-11-12  Jakub Jelinek  <jakub@redhat.com>

	PR libgcj/33764
	* configure.ac (INSTALL_BINARIES): New AM_CONDITIONAL.
	* Makefile.am: If not INSTALL_BINARIES, use noinst_PROGRAMS
	instead of bin_PROGRAMS for binaries.
	* configure: Regenerated.
	* Makefile.in: Regenerated.

2008-11-04  David Edelsohn  <edelsohn@gnu.org>

	* configure.ac: Fix typo.
	* configure: Rebuild.

2008-10-31  Andrew Haley  <aph@redhat.com>

	* Makefile.am (install-data-local): Correct symlink paths for
	SDK-style installed JARs.  
	Correct symlinks for headers when DESTDIR is set.

2008-10-23  David Edelsohn  <edelsohn@gnu.org>

	PR target/35485
	* configure.ac: AIX threads are Posix threads.
	Set signal handler to aix-signal.h
	* configure: Regenerate.
	* classpath/native/fdlibm/fdlibm.h: Undef hz.
	* include/aix-signal.h: New file.
	* sysdep/powerpc/locks.h: Avoid GNU Assembler syntax.

2008-10-22  Matthias Klose  <doko@ubuntu.com>

	Import GNU Classpath (libgcj-import-20081021).

	* Regenerate class and header files.
	* Regenerate auto* files.

2008-10-21  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* sources.am, Makfile.in: Regenerate.

2008-10-17  Matthias Klose  <doko@ubuntu.com>

	* configure.ac: Fix bashisms.
	* configure: Regenerate.

2008-10-15  Matthias Klose  <doko@ubuntu.com>

	* configure.ac: Disable build of gjdoc, if configured without
	--with-antlr-jar or if no antlr.jar found.
	* configure: Regenerate.

2008-10-09  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* classpath/configure.ac,
	* classpath/m4/ac_prog_antlr.m4,
	* classpath/m4/ac_prog_java.m4,
	* classpath/tools/Makefile.am:
	Ported --regen-gjdoc-parser patch and
	cantlr support from GNU Classpath.

2008-10-06  Andrew Haley  <aph@redhat.com>

	* java/lang/Thread.java (Thread): Always create the ThreadLocalMap
	when creating a thread.
	(getThreadLocals) Don't lazily create the ThreadLocalMap.

2008-09-28  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* classpath/java/lang/ThreadLocalMap.java,
	* java/lang/ThreadLocalMap$Entry.h,
	* java/lang/ThreadLocalMap.h,
	* lib/java/lang/ThreadLocalMap.class,
	* lib/java/lang/ThreadLocalMap$Entry.class:
	Add the new files for the ThreadLocal patch.

2008-09-28  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* classpath/ChangeLog,
	* classpath/java/lang/InheritableThreadLocal.java,
	* classpath/java/lang/Thread.java,
	* classpath/java/lang/ThreadLocal.java:
	Merge Daniel Frampton's ThreadLocal patch.
	* gcj/javaprims.h: Updated.
	* java/lang/Thread.h: Regenerated.
	* java/lang/Thread.java:
	Replace WeakIdentityHashMap with ThreadLocalMap.
	(getThreadLocals()): Likewise.
	* java/lang/ThreadLocal.h: Regenerated.
	* java/lang/ThreadLocal.java:
	(computeNextHash()): New method.
	(ThreadLocal()): Initialise fastHash.
	(internalGet()): Updated to match Classpath's get().
	(internalSet(Object)): Likewise for set(Object).
	(internalRemove()): Likewise for remove().
	
2008-09-25  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* classpath/configure,
	* classpath/configure.ac:
	Resynchronise with Classpath's configure.
	* classpath/examples/Makefile.in:
	Add equivalent support for building as in
	tools/Makefile.in.
	* classpath/java/nio/Buffer.java,
	* classpath/java/nio/ByteBuffer.java,
	* classpath/java/nio/ByteBufferImpl.java,
	* classpath/java/nio/CharBuffer.java,
	* classpath/java/nio/CharBufferImpl.java,
	* classpath/java/nio/CharSequenceBuffer.java,
	* classpath/java/nio/CharViewBufferImpl.java,
	* classpath/java/nio/DirectByteBufferImpl.java,
	* classpath/java/nio/DoubleBuffer.java,
	* classpath/java/nio/DoubleBufferImpl.java,
	* classpath/java/nio/DoubleViewBufferImpl.java,
	* classpath/java/nio/FloatBuffer.java,
	* classpath/java/nio/FloatBufferImpl.java,
	* classpath/java/nio/FloatViewBufferImpl.java,
	* classpath/java/nio/IntBuffer.java,
	* classpath/java/nio/IntBufferImpl.java,
	* classpath/java/nio/IntViewBufferImpl.java,
	* classpath/java/nio/LongBuffer.java,
	* classpath/java/nio/LongBufferImpl.java,
	* classpath/java/nio/LongViewBufferImpl.java,
	* classpath/java/nio/MappedByteBuffer.java,
	* classpath/java/nio/MappedByteBufferImpl.java,
	* classpath/java/nio/ShortBuffer.java,
	* classpath/java/nio/ShortBufferImpl.java,
	* classpath/java/nio/ShortViewBufferImpl.java:
	Replace use of gnu.classpath.Pointer with gnu.gcj.RawData,
	and fix some formatting issues.
	* classpath/tools/gnu/classpath/tools/gjdoc/expr/JavaLexer.java,
	* classpath/tools/gnu/classpath/tools/gjdoc/expr/JavaLexer.smap,
	* classpath/tools/gnu/classpath/tools/gjdoc/expr/JavaRecognizer.java,
	* classpath/tools/gnu/classpath/tools/gjdoc/expr/JavaRecognizer.smap,
	* classpath/tools/gnu/classpath/tools/gjdoc/expr/JavaTokenTypes.java,
	* classpath/tools/gnu/classpath/tools/gjdoc/expr/JavaTokenTypes.txt:
	Regenerated (later version of antlr).
	* java/nio/Buffer.h: Regenerated.
	* java/nio/Buffer.java: Ported changes from Classpath.
	* java/nio/ByteBuffer.h,
	* java/nio/CharBuffer.h: Regenerated.
	* java/nio/DirectByteBufferImpl.java: Ported changes from
	Classpath.
	* java/nio/DoubleBuffer.h,
	* java/nio/FloatBuffer.h,
	* java/nio/IntBuffer.h,
	* java/nio/LongBuffer.h,
	* java/nio/MappedByteBuffer.h,
	* java/nio/MappedByteBufferImpl.h: Regenerated.
	* java/nio/MappedByteBufferImpl.java: Ported changes from
	Classpath.
	* java/nio/ShortBuffer.h: Regenerated.

2008-09-24  Matthias Klose  <doko@ubuntu.com>

	* configure.ac: Search for antlr.jar, if not configured.
	* configure: Regenerate.

2008-09-24  Matthias Klose  <doko@ubuntu.com>

	* Makefile.am: Build a gjdoc binary, if enabled.
	* configure.ac: Add options --disable-gjdoc, --with-antlr-jar=file.
	* Makefile.in, */Makefile.in, configure: Regenerate.

2008-09-22  Andrew Haley  <aph@redhat.com>

	* java/lang/String.java (toString(char[], int, int)): New method.

2008-09-14  Matthias Klose  <doko@ubuntu.com>

	Import GNU Classpath (libgcj-import-20080914).

	* Regenerate class and header files.
	* Regenerate auto* files.
	* configure.ac: Don't pass --disable-gjdoc to classpath.
	* sources.am: Regenerated.
	* HACKING: Mention to build gjdoc in maintainer builds.
	* gnu/classpath/Configuration.java: Update classpath version.
	* gcj/javaprims.h: Update.

2008-09-08  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am: Replace natStringBuffer.cc
	and natStringBuilder.cc with natAbstractStringBuffer.cc.
	* Makefile.in: Regenerated.
	* java/lang/AbstractStringBuffer.java:
	(append(int)): Made native.
	(regionMatches(int,String)): Likewise.
	* java/lang/StringBuffer.h: Regenerated.
	* java/lang/StringBuffer.java: Remerged with GNU Classpath.
	* java/lang/StringBuilder.h: Regenerated.
	* java/lang/StringBuilder.java: Remerged with GNU Classpath.
	* java/lang/natAbstractStringBuffer.cc: Provide common
	native methods for StringBuffer and StringBuilder.
	* java/lang/natStringBuffer.cc,
	* java/lang/natStringBuilder.cc: Removed.

2008-09-04  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.in,
	* classpath/configure: Regenerated.
	* gnu/gcj/util/natDebug.cc,
	* gnu/gcj/xlib/natColormap.cc,
	* gnu/gcj/xlib/natDisplay.cc,
	* gnu/gcj/xlib/natDrawable.cc,
	* gnu/gcj/xlib/natFont.cc,
	* gnu/gcj/xlib/natWMSizeHints.cc,
	* gnu/gcj/xlib/natWindow.cc,
	* gnu/gcj/xlib/natXImage.cc:
	Add :: prefix to namespaces.
	* java/io/CharArrayWriter.h,
	* java/lang/StringBuffer.h:
	Regenerated using patched gjavah.
	* java/lang/natStringBuffer.cc:
	Fix naming of append(jint).
	* java/sql/Timestamp.h: Regenerated
	using patched gjavah.
	* jni.cc: Rename p to functions
	to match change in GNU Classpath.
	* scripts/makemake.tcl: Switch
	gnu.java.math to BC compilation.
	* sources.am: Regenerated.

2008-08-21  Andrew John Hughes  <gnu_andrew@member.fsf.org>
	
	* Makefile.in: Updated location of Configuration.java.
	* classpath/lib/gnu/java/locale/LocaleData.class: Regenerated.

2008-08-18  Andrew John Hughes  <gnu_andrew@member.fsf.org>
	
	* Makefile.in: Updated with new Java files.
	* classpath/configure: Regenerated.
	* classpath/tools/Makefile.am: Add missing
	use of GJDOC_EX so --disable-gjdoc works.
	* classpath/tools/Makefile.in: Regenerated.

2008-08-15  Matthias Klose  <doko@ubuntu.com>

	Import GNU Classpath (libgcj-import-20080811).

	* Regenerate class and header files.
	* Regenerate auto* files.
	* configure.ac: Don't pass --with-fastjar to classpath, substitute new
	dummy value in classpath/gnu/classpath/Configuration.java.in, pass
	--disable-gjdoc to classpath.
	* scripts/makemake.tcl:
	* sources.am: Regenerated.
	* java/lang/AbstractStringBuffer.java, gnu/java/lang/VMCPStringBuilder.java:
	New, copied from classpath, use System instead of VMSystem.
	* java/lang/StringBuffer.java: Merge from classpath.
	* java/lang/ClassLoader.java: Merge from classpath.
	* gcj/javaprims.h: Update class definitions,
	remove _Jv_jobjectRefType, jobjectRefType definitions.

2008-09-30  Andreas Tobler  <a.tobler@schweiz.org>

	* testsuite/lib/libjava.exp (libjava_arguments): Do not append
	"no-install" to additional_flags for *-*-darwin.

2008-09-26  Peter O'Gorman  <pogma@thewrittenword.com>
	    Steve Ellcey  <sje@cup.hp.com>

	* configure: Regenerate for new libtool.
	* Makefile.in: Ditto.
	* aclocal.m4: Ditto.
	* classpath/configure: Ditto.
	* classpath/Makefile.in: Ditto.
	* classpath/native/jni/Makefile.in: Ditto.
	* classpath/native/jni/classpath/Makefile.in: Ditto.
	* classpath/native/jni/midi-dssi/Makefile.in: Ditto.
	* classpath/native/jni/gstreamer-peer/Makefile.in: Ditto.
	* classpath/native/jni/gconf-peer/Makefile.in: Ditto.
	* classpath/native/jni/java-io/Makefile.in: Ditto.
	* classpath/native/jni/native-lib/Makefile.in: Ditto.
	* classpath/native/jni/java-util/Makefile.in: Ditto.
	* classpath/native/jni/java-lang/Makefile.in: Ditto.
	* classpath/native/jni/midi-alsa/Makefile.in: Ditto.
	* classpath/native/jni/java-nio/Makefile.in: Ditto.
	* classpath/native/jni/java-net/Makefile.in: Ditto.
	* classpath/native/jni/xmlj/Makefile.in: Ditto.
	* classpath/native/jni/qt-peer/Makefile.in: Ditto.
	* classpath/native/jni/gtk-peer/Makefile.in: Ditto.
	* classpath/native/Makefile.in: Ditto.
	* classpath/native/jawt/Makefile.in: Ditto.
	* classpath/native/fdlibm/Makefile.in: Ditto.
	* classpath/native/plugin/Makefile.in: Ditto.
	* classpath/resource/Makefile.in: Ditto.
	* classpath/scripts/Makefile.in: Ditto.
	* classpath/tools/Makefile.in: Ditto.
	* classpath/doc/Makefile.in: Ditto.
	* classpath/doc/api/Makefile.in: Ditto.
	* classpath/lib/Makefile.in: Ditto.
	* classpath/external/Makefile.in: Ditto.
	* classpath/external/jsr166/Makefile.in: Ditto.
	* classpath/external/sax/Makefile.in: Ditto.
	* classpath/external/w3c_dom/Makefile.in: Ditto.
	* classpath/external/relaxngDatatype/Makefile.in: Ditto.
	* classpath/include/Makefile.in: Ditto.
	* classpath/aclocal.m4: Ditto.
	* classpath/examples/Makefile.in: Ditto.
	* include/Makefile.in: Ditto.
	* testsuite/Makefile.in: Ditto.
	* gcj/Makefile.in: Ditto.

2008-09-17  Andrew Haley  <aph@redhat.com>

	PR libgcj/8995:
	
	* defineclass.cc (_Jv_ClassReader::handleCodeAttribute):
	Initialize thread_count.
	* include/java-interp.h (_Jv_InterpMethod::thread_count): New
	field.
	 (_Jv_InterpMethod::rewrite_insn_mutex): New mutex.
	(_Jv_InterpFrame:: _Jv_InterpFrame): Pass frame_type.
	* interpret.cc
	(ThreadCountAdjuster): New class.
	(_Jv_InterpMethod::thread_count): New field.
	(_Jv_InitInterpreter): Initialize rewrite_insn_mutex.
	Increment and decrement thread_count field in methods.
	* interpret-run.cc (REWRITE_INSN): Check thread_count <= 1.
	(REWRITE_INSN): Likewise.
	Declare a ThreadCountAdjuster.
	* java/lang/reflect/natVMProxy.cc (run_proxy): Initialize frame
	type as frame_proxy.

2008-09-05  David Daney  <ddaney@avtrex.com>

	* configure.ac (reduced-reflection): New AC_ARG_ENABLE.
	(build_libgcj_reduced_reflection): New variable.
	(BUILD_LIBGCJ_REDUCED_REFLECTION): New AM_CONDITIONAL.
	* Makefile.am (LIBGCJ_REDUCED_REFLECTION_FLAGS): New variable.
	(%.lo: %.list): Add LIBGCJ_REDUCED_REFLECTION_FLAGS to compile
	command.
	(java/util/concurrent.lo, java/util/concurrent/atomic.lo,
	java/util/concurrent/locks.lo): Override
	LIBGCJ_REDUCED_REFLECTION_FLAGS.
	* Makefile.in, include/Makefile.in, testsuite/Makefile.in,
	gcj/Makefile.in, configure: Regenerate.

2008-08-22  Andrew Haley  <aph@redhat.com>

	PR libgcj/8995:
	
	* interpret-run.cc (REWRITE_INSN): Null this macro.

	* include/jvm.h (class _Jv_Linker): Declare resolve_mutex, init.
	(read_cpool_entry, write_cpool_entry): New functions.
	* link.cc (_Jv_Linker::resolve_mutex): new.
	(_Jv_Linker::init): New function.
	(_Jv_Linker::resolve_pool_entry): Use {read,write}_cpool_entry
	to ensure atomic access to constant pool entries.

2008-08-07  Andrew Haley  <aph@redhat.com>

	* testsuite/libjava.lang/StackTrace2.java: Rewrite to prevent
	spurious failure when some methods are inlined.

2008-08-05  Matthias Klose  <doko@ubuntu.com>

	* HACKING: Update instructions how to build gcj/javaprims.h.

2008-08-04  Tom Tromey  <tromey@redhat.com>

	PR libgcj/31890:
	* gcj/javaprims.h: Regenerate class list.

2008-07-16  Roger Sayle  <roger@eyesopen.com>
	    Paolo Bonzini  <bonzini@gnu.org>

	* scripts/jar.in: Fix portability problems with Solaris /bin/sh.

2008-07-08  Matthias Klose  <doko@ubuntu.com>

	* libtool-version: Bump soversion.

2008-07-07  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* gnu/gcj/convert/make-trie.h: New.
	* gnu/gcj/convert/gen-from-JIS.c: Include it.
	* gnu/gcj/convert/make-trie.c: Likewise.
	Fix typos and compiler warnings, diagnose a missing argument.
	* Makefile.am (gen_from_JIS_SOURCES): Add gnu/gcj/convert/make-trie.h.
	* Makefile.in: Regenerate.

2008-06-30  Joshua Sumali  <jsumali@redhat.com>
	Andrew Haley  <aph@redhat.com>
	
	* configure.ac (java-home): new AC_ARG_ENABLE.
	(aot-compile-rpm): Likewise.
	(CREATE_JAVA_HOME): new AM_CONDITIONAL.
	(INSTALL_AOT_RPM): Likewise.
	(gcc-suffix): new AC_ARG_WITH.
	(arch-directory): Likewise.
	(os-directory): Likewise.
	(origin-name): Likewise.
	(arch-suffix): Likewise.
	(jvm-root-dir): Likewise.
	(jvm-jar-dir): Likewise.
	(python-dir): Likewise.
	(AC_CONFIG_FILES): Add contrib/aotcompile.py, contrib/aot-compile,
	contrib/aot-compile-rpm, contrib/rebuild-gcj-db.
	(gcjsubdir): New AC_SUBST.
	* Makefile.am (install-data-local): Install Python modules for
	aot-compile. Also install an sdk style directory if
	--enable-java-home is passed to configure.
	(bin_SCRIPTS): Add 
	contrib/rebuild-gcj-db and contrib/aot-compile.
	(gcjsubdir): Add.
	(db_pathtail): Redefine in terms of gcjsubdir.
	* contrib/aot-compile.in: New file.
	* contrib/aotcompile.py.in: Likewise.
	* contrib/aot-compile-rpm.in: Likewise.
	* contrib/classfile.py: Likewise.
	* contrib/rebuild-gcj-db.in: Likewise.
	* configure: Regenerate.
	* Makefile.in: Regenerate. 

2008-06-28  Matthias Klose  <doko@ubuntu.com>

	Import GNU Classpath (classpath-0_97_2-release).

	* Regenerate class and header files.
	* Regenerate auto* files.
	* gcj/javaprims.h: Define jobjectRefType.
	* jni.cc (_Jv_JNI_GetObjectRefType): New (stub only).
	(_Jv_JNIFunctions): Initialize GetObjectRefType.
	* gnu/classpath/jdwp/VMVirtualMachine.java,
	java/security/VMSecureRandom.java: Merge from classpath.
	* HACKING: Fix typo.
	* ChangeLog-2007: New file.
	* configure.ac: Set JAVAC, pass --disable-regen-headers to classpath.

2008-06-17  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* configure: Regenerate.
	* gcj/Makefile.in: Regenerate.
	* include/Makefile.in: Regenerate.
	* testsuite/Makefile.in: Regenerate.

2008-06-07  Joseph Myers  <joseph@codesourcery.com>

	* configure.host (strongarm*-elf, xscale*-elf): Remove.

2008-06-02  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* Makefile.am (mostlyclean-local): Use libtool --mode=clean.
	* Makefile.in: Regenerate.

2008-05-28  Andrew Haley  <aph@redhat.com>

	* java/lang/Class.java (getSimpleName): Use getEnclosingClass().	
	* testsuite/libjava.lang/PR35020.java: New cases.
	* testsuite/libjava.lang/PR35020.out: New cases.

2008-05-22  Andrew Haley  <aph@redhat.com>

	PR libgcj/35020
	* java/lang/Class.java (getSimpleName): Replace incorrect use of
	String.lastIndexOf(String, int) with String.substring.
	* testsuite/libjava.lang/PR35020.java: New file.
	* testsuite/libjava.lang/PR35020.out: New file.

2008-05-22  Andrew Haley  <aph@redhat.com>

	PR libgcj/35020
	* java/lang/Class.java (getSimpleName): Import from GNU Classpath.

2008-05-20  David Daney  <ddaney@avtrex.com>

	PR libgcj/36252
	* java/lang/natString.ccn: Add
	#include <java/io/CharConversionException.h>.
	(init (byte[], int, int, String)): Catch and ignore
	CharConversionException.  Break out of conversion loop
	on incomplete input.
	* testsuite/libjava.lang/PR36252.java: New test.
	* testsuite/libjava.lang/PR36252.out: New file, its expected output.
	* testsuite/libjava.lang/PR36252.jar: New file, its pre-compiled
	jar file.

2008-04-19  Tom Tromey  <tromey@redhat.com>

	PR libgcj/35979:
	* jni.cc (_Jv_JNI_NewStringUTF): Return NULL if bytes==NULL.

2008-04-18  Paolo Bonzini  <bonzini@gnu.org>

	PR bootstrap/35457
	* aclocal.m4: Regenerate.
	* configure: Regenerate.

2008-04-16  Andrew Haley  <aph@littlepinkcloud.com>

	* libgcj_bc.c: (_Jv_LookupInterfaceMethod, _Jv_MonitorExit,
	_Jv_RegisterResource, _Jv_JNI_PopSystemFrame): Add.

2008-04-16  Andrew Haley  <aph@redhat.com>

	* libgcj_bc.c: Sort lines.

2008-04-02  Peter O'Gorman  <pogma@thewrittenword.com>

	PR bootstrap/35216
	* scripts/makemake.tcl: Replace org/omg build with build of all
	its subpackages.
	* sources.am: Regenerate.
	* Makefile.in: Regenerate.

2008-03-16  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* Makefile.am (install-data-local): Rewrite to be more efficient,
	using awk, and `install' with multiple files at once.  Do not gather
	more than 50 files in one go to avoid hitting command line limits.
	(install_data_local_split): New variable.
	* aclocal.m4: Regenerate.
	* configure: Likewise.
	* Makefile.in: Likewise.
	* gcj/Makefile.in: Likewise.
	* include/Makefile.in: Likewise.
	* testsuite/Makefile.in: Likewise.

	* Makefile.am (write_entries_to_file_split): New variable.
	(write_entries_to_file): Write out that many entries at once,
	for speed.
	* Makefile.in: Regenerate.

2008-03-13  Tom Tromey  <tromey@redhat.com>

	* java/lang/natClassLoader.cc (_Jv_RegisterInitiatingLoader):
	Check loading constraints.
	(_Jv_CheckOrCreateLoadingConstraint): New function.
	* java/lang/ClassLoader.java (loadingConstraints): New field.
	* link.cc (_Jv_Linker::find_field): Use
	_Jv_CheckOrCreateLoadingConstraint.
	(_Jv_Linker::check_loading_constraints): New function.
	(_Jv_Linker::resolve_method_entry): Use
	check_loading_constraints.
	(_Jv_Linker::append_partial_itable): Likewise.
	(_Jv_Linker::layout_vtable_methods): Likewise.
	* include/jvm.h (_Jv_Linker::check_loading_constraints): Declare.
	(_Jv_CheckOrCreateLoadingConstraint): Declare.

2008-03-10  Jim Meyering  <meyering@redhat.com>

	Don't leak upon failed realloc.
	* gnu/classpath/natSystemProperties.cc
	(SystemProperties::insertSystemProperties):

2008-03-06  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* HACKING: Fix grep patterns.

2008-03-04  David Daney  <ddaney@avtrex.com>

	* scripts/makemake.tcl (properties_map): Don't exclude
	gnu/java/locale.
	* gnu/java/lang/MainThread.java (Klocale, Kcalendar): Remove.
	* java/text/Collator.java: Organize imports.
	(getAvailableLocales): Merge from classpath.
	(getInstance): Same.
	* sources.am: Regenerate.
	* Makefile.in: Regenerate.
	* classpath/lib/java/text/DecimalFormatSymbols.class,
	classpath/lib/java/text/DateFormatSymbols.class,
	classpath/lib/java/util/Currency.class,
	classpath/lib/java/util/Calendar.class,
	classpath/lib/gnu/java/lang/MainThread.class,
	classpath/lib/java/text/Collator.class,
	gnu/java/lang/MainThread.h,
	java/text/DateFormatSymbols.h,
	java/text/DecimalFormatSymbols.h,
	java/util/Calendar.h,
	java/util/Currency.h: Regenerate.
	* classpath/lib/gnu/java/locale/LocaleInformation_en_PH.class,
	classpath/lib/gnu/java/locale/LocaleInformation_es_AR.class,
	classpath/lib/gnu/java/locale/LocaleInformation_en_BW.class,
	classpath/lib/gnu/java/locale/LocaleInformation_de_BE.class,
	classpath/lib/gnu/java/locale/LocaleInformation_te_IN.class,
	classpath/lib/gnu/java/locale/LocaleInformation_en.class,
	classpath/lib/gnu/java/locale/LocaleInformation_iw_IL.class,
	classpath/lib/gnu/java/locale/LocaleInformation_fr_LU.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ar_AE.class,
	classpath/lib/gnu/java/locale/LocaleInformation_sk_SK.class,
	classpath/lib/gnu/java/locale/LocaleInformation_fr_CA.class,
	classpath/lib/gnu/java/locale/LocaleInformation_es_MX.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ar_EG.class,
	classpath/lib/gnu/java/locale/LocaleInformation_lt_LT.class,
	classpath/lib/gnu/java/locale/LocaleInformation_en_ZW.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ar_QA.class,
	classpath/lib/gnu/java/locale/LocaleInformation_gv_GB.class,
	classpath/lib/gnu/java/locale/LocaleInformation_yi_US.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ar_SD.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ar_IQ.class,
	classpath/lib/gnu/java/locale/Calendar_de.class,
	classpath/lib/gnu/java/locale/LocaleInformation_es_HN.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ar_YE.class,
	classpath/lib/gnu/java/locale/LocaleInformation_de_CH.class,
	classpath/lib/gnu/java/locale/LocaleInformation_es_PR.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ar_BH.class,
	classpath/lib/gnu/java/locale/LocaleInformation_mi_NZ.class,
	classpath/lib/gnu/java/locale/Calendar_nl.class,
	classpath/lib/gnu/java/locale/LocaleInformation_fr_BE.class,
	classpath/lib/gnu/java/locale/LocaleInformation_es_EC.class,
	classpath/lib/gnu/java/locale/LocaleInformation_mt_MT.class,
	classpath/lib/gnu/java/locale/LocaleInformation_en_HK.class,
	classpath/lib/gnu/java/locale/LocaleInformation_es_CL.class,
	classpath/lib/gnu/java/locale/LocaleInformation_kw_GB.class,
	classpath/lib/gnu/java/locale/LocaleInformation_mk_MK.class,
	classpath/lib/gnu/java/locale/LocaleInformation_es_ES.class,
	classpath/lib/gnu/java/locale/LocaleInformation_cs_CZ.class,
	classpath/lib/gnu/java/locale/LocaleInformation_nl_NL.class,
	classpath/lib/gnu/java/locale/LocaleInformation_en_CA.class,
	classpath/lib/gnu/java/locale/LocaleInformation_bs_BA.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ru_UA.class,
	classpath/lib/gnu/java/locale/LocaleInformation_es_US.class,
	classpath/lib/gnu/java/locale/LocaleInformation_fr_CH.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ja_JP.class,
	classpath/lib/gnu/java/locale/LocaleInformation_it_CH.class,
	classpath/lib/gnu/java/locale/LocaleInformation_es_PA.class,
	classpath/lib/gnu/java/locale/LocaleInformation_kl_GL.class,
	classpath/lib/gnu/java/locale/LocaleInformation_de.class,
	classpath/lib/gnu/java/locale/LocaleInformation_el_GR.class,
	classpath/lib/gnu/java/locale/LocaleInformation_en_IN.class,
	classpath/lib/gnu/java/locale/LocaleInformation_es_DO.class,
	classpath/lib/gnu/java/locale/LocaleInformation_tr_TR.class,
	classpath/lib/gnu/java/locale/LocaleInformation_es_PE.class,
	classpath/lib/gnu/java/locale/LocaleInformation_zh_TW.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ar_OM.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ar_KW.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ga_IE.class,
	classpath/lib/gnu/java/locale/LocaleInformation_hu_HU.class,
	classpath/lib/gnu/java/locale/LocaleInformation_nl.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ca_ES.class,
	classpath/lib/gnu/java/locale/LocaleInformation_zh_SG.class,
	classpath/lib/gnu/java/locale/LocaleInformation_de_AT.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ar_LB.class,
	classpath/lib/gnu/java/locale/LocaleInformation_es_PY.class,
	classpath/lib/gnu/java/locale/LocaleInformation_nl_BE.class,
	classpath/lib/gnu/java/locale/LocaleInformation_af_ZA.class,
	classpath/lib/gnu/java/locale/LocaleInformation_he_IL.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ro_RO.class,
	classpath/lib/gnu/java/locale/LocaleInformation_vi_VN.class,
	classpath/lib/gnu/java/locale/LocaleInformation_cy_GB.class,
	classpath/lib/gnu/java/locale/LocaleInformation_hi_IN.class,
	classpath/lib/gnu/java/locale/LocaleInformation_es_CO.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ar_JO.class,
	classpath/lib/gnu/java/locale/LocaleInformation_br_FR.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ta_IN.class,
	classpath/lib/gnu/java/locale/LocaleInformation_en_ZA.class,
	classpath/lib/gnu/java/locale/LocaleInformation_fr_FR.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ar_DZ.class,
	classpath/lib/gnu/java/locale/LocaleInformation_eu_ES.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ar_TN.class,
	classpath/lib/gnu/java/locale/LocaleInformation_tl_PH.class,
	classpath/lib/gnu/java/locale/LocaleInformation_pl_PL.class,
	classpath/lib/gnu/java/locale/LocaleInformation_sv_FI.class,
	classpath/lib/gnu/java/locale/LocaleInformation_id_ID.class,
	classpath/lib/gnu/java/locale/LocaleInformation_en_GB.class,
	classpath/lib/gnu/java/locale/LocaleInformation_uz_UZ.class,
	classpath/lib/gnu/java/locale/LocaleInformation_fi_FI.class,
	classpath/lib/gnu/java/locale/LocaleInformation_en_IE.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ar_MA.class,
	classpath/lib/gnu/java/locale/LocaleInformation_be_BY.class,
	classpath/lib/gnu/java/locale/LocaleInformation_bn_IN.class,
	classpath/lib/gnu/java/locale/LocaleInformation_pt_PT.class,
	classpath/lib/gnu/java/locale/LocaleInformation_es_BO.class,
	classpath/lib/gnu/java/locale/LocaleInformation_en_AU.class,
	classpath/lib/gnu/java/locale/LocaleInformation_es_NI.class,
	classpath/lib/gnu/java/locale/LocaleInformation_zh_CN.class,
	classpath/lib/gnu/java/locale/LocaleInformation_es_VE.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ka_GE.class,
	classpath/lib/gnu/java/locale/LocaleInformation_it_IT.class,
	classpath/lib/gnu/java/locale/LocaleInformation_en_US.class,
	classpath/lib/gnu/java/locale/LocaleInformation_sl_SI.class,
	classpath/lib/gnu/java/locale/LocaleInformation_en_DK.class,
	classpath/lib/gnu/java/locale/LocaleInformation.class,
	classpath/lib/gnu/java/locale/LocaleInformation_es_CR.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ru_RU.class,
	classpath/lib/gnu/java/locale/LocaleInformation_sq_AL.class,
	classpath/lib/gnu/java/locale/LocaleInformation_de_DE.class,
	classpath/lib/gnu/java/locale/LocaleInformation_es_GT.class,
	classpath/lib/gnu/java/locale/LocaleInformation_sr_YU.class,
	classpath/lib/gnu/java/locale/LocaleInformation_da_DK.class,
	classpath/lib/gnu/java/locale/LocaleInformation_gd_GB.class,
	classpath/lib/gnu/java/locale/LocaleInformation_hr_HR.class,
	classpath/lib/gnu/java/locale/LocaleInformation_zh_HK.class,
	classpath/lib/gnu/java/locale/LocaleInformation_uk_UA.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ko_KR.class,
	classpath/lib/gnu/java/locale/Calendar_en.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ar_LY.class,
	classpath/lib/gnu/java/locale/LocaleInformation_pt_BR.class,
	classpath/lib/gnu/java/locale/LocaleInformation_nn_NO.class,
	classpath/lib/gnu/java/locale/LocaleInformation_en_NZ.class,
	classpath/lib/gnu/java/locale/LocaleInformation_es_SV.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ur_PK.class,
	classpath/lib/gnu/java/locale/LocaleInformation_et_EE.class,
	classpath/lib/gnu/java/locale/LocaleInformation_lv_LV.class,
	classpath/lib/gnu/java/locale/LocaleInformation_es_UY.class,
	classpath/lib/gnu/java/locale/LocaleInformation_oc_FR.class,
	classpath/lib/gnu/java/locale/LocaleInformation_fo_FO.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ar_IN.class,
	classpath/lib/gnu/java/locale/LocaleInformation_de_LU.class,
	classpath/lib/gnu/java/locale/LocaleInformation_gl_ES.class,
	classpath/lib/gnu/java/locale/LocaleInformation_en_SG.class,
	classpath/lib/gnu/java/locale/LocaleInformation_se_NO.class,
	classpath/lib/gnu/java/locale/LocaleInformation_mr_IN.class,
	classpath/lib/gnu/java/locale/LocaleInformation_tg_TJ.class,
	classpath/lib/gnu/java/locale/LocaleInformation_no_NO.class,
	classpath/lib/gnu/java/locale/LocaleInformation_ar_SY.class,
	classpath/lib/gnu/java/locale/LocaleInformation_sv_SE.class,
	classpath/lib/gnu/java/locale/LocaleInformation_fa_IR.class,
	classpath/lib/gnu/java/locale/Calendar.class,
	gnu/java/locale/LocaleInformation_fr_CA.java,
	gnu/java/locale/LocaleInformation_sk_SK.java,
	gnu/java/locale/LocaleInformation_ar_BH.java,
	gnu/java/locale/LocaleInformation_ko_KR.h,
	gnu/java/locale/LocaleInformation_bs_BA.h,
	gnu/java/locale/LocaleInformation_nn_NO.h,
	gnu/java/locale/LocaleInformation_en_NZ.h,
	gnu/java/locale/LocaleInformation_en_ZW.java,
	gnu/java/locale/LocaleInformation_es_US.h,
	gnu/java/locale/LocaleInformation_es_SV.h,
	gnu/java/locale/LocaleInformation_de_LU.java,
	gnu/java/locale/LocaleInformation_fo_FO.java,
	gnu/java/locale/LocaleInformation_oc_FR.java,
	gnu/java/locale/LocaleInformation_it_CH.h,
	gnu/java/locale/LocaleInformation_de.h,
	gnu/java/locale/LocaleInformation_el_GR.h,
	gnu/java/locale/LocaleInformation_tr_TR.h,
	gnu/java/locale/LocaleInformation_ka_GE.java,
	gnu/java/locale/LocaleInformation_nn_NO.java,
	gnu/java/locale/LocaleInformation_se_NO.h,
	gnu/java/locale/LocaleInformation_ga_IE.h,
	gnu/java/locale/LocaleInformation_ru_UA.java,
	gnu/java/locale/LocaleInformation_fa_IR.java,
	gnu/java/locale/LocaleInformation_ja_JP.java,
	gnu/java/locale/LocaleInformation_sv_SE.h,
	gnu/java/locale/LocaleInformation_bn_IN.java,
	gnu/java/locale/LocaleInformation_af_ZA.h,
	gnu/java/locale/LocaleInformation_es_PE.java,
	gnu/java/locale/LocaleInformation_hi_IN.h,
	gnu/java/locale/LocaleInformation_en_ZA.java,
	gnu/java/locale/LocaleInformation_es_CO.h,
	gnu/java/locale/LocaleInformation_es_AR.h,
	gnu/java/locale/LocaleInformation_en_PH.h,
	gnu/java/locale/LocaleInformation_ta_IN.h,
	gnu/java/locale/LocaleInformation_en_ZA.h,
	gnu/java/locale/LocaleInformation_nl_NL.java,
	gnu/java/locale/LocaleInformation_ar_KW.java,
	gnu/java/locale/LocaleInformation_fr_FR.h,
	gnu/java/locale/LocaleInformation_ar_LY.java,
	gnu/java/locale/LocaleInformation_uz_UZ.java,
	gnu/java/locale/LocaleInformation_tl_PH.h,
	gnu/java/locale/LocaleInformation_fi_FI.java,
	gnu/java/locale/LocaleInformation_pl_PL.h,
	gnu/java/locale/LocaleInformation_sv_FI.h,
	gnu/java/locale/LocaleInformation_es_MX.h,
	gnu/java/locale/LocaleInformation_uz_UZ.h,
	gnu/java/locale/LocaleInformation_fi_FI.h,
	gnu/java/locale/LocaleInformation_ar_SD.java,
	gnu/java/locale/LocaleInformation_ar_QA.h,
	gnu/java/locale/LocaleInformation_kw_GB.java,
	gnu/java/locale/LocaleInformation_ar_YE.h,
	gnu/java/locale/LocaleInformation_es_PR.java,
	gnu/java/locale/LocaleInformation_zh_SG.java,
	gnu/java/locale/LocaleInformation_ca_ES.java,
	gnu/java/locale/LocaleInformation_ka_GE.h,
	gnu/java/locale/LocaleInformation_ar_BH.h,
	gnu/java/locale/LocaleInformation_fr_CH.java,
	gnu/java/locale/Calendar_nl.h,
	gnu/java/locale/LocaleInformation_en_DK.h,
	gnu/java/locale/LocaleInformation.h,
	gnu/java/locale/LocaleInformation_ar_JO.java,
	gnu/java/locale/LocaleInformation_br_FR.java,
	gnu/java/locale/LocaleInformation_ru_RU.java,
	gnu/java/locale/LocaleInformation_de_BE.java,
	gnu/java/locale/LocaleInformation_ru_RU.h,
	gnu/java/locale/LocaleInformation_de_DE.h,
	gnu/java/locale/LocaleInformation_hr_HR.h,
	gnu/java/locale/LocaleInformation_gd_GB.h,
	gnu/java/locale/LocaleInformation_nl.java,
	gnu/java/locale/LocaleInformation_en_GB.java,
	gnu/java/locale/LocaleInformation_uk_UA.h,
	gnu/java/locale/LocaleInformation_ar_LY.h,
	gnu/java/locale/LocaleInformation_ru_UA.h,
	gnu/java/locale/LocaleInformation_es_UY.java,
	gnu/java/locale/LocaleInformation_fr_CH.h,
	gnu/java/locale/LocaleInformation_lv_LV.h,
	gnu/java/locale/LocaleInformation_de.java,
	gnu/java/locale/LocaleInformation_el_GR.java,
	gnu/java/locale/LocaleInformation_es_CR.java,
	gnu/java/locale/LocaleInformation_ar_IN.h,
	gnu/java/locale/LocaleInformation_es_DO.h,
	gnu/java/locale/LocaleInformation_es_PE.h,
	gnu/java/locale/LocaleInformation_ar_OM.h,
	gnu/java/locale/LocaleInformation_zh_HK.java,
	gnu/java/locale/LocaleInformation_mr_IN.java,
	gnu/java/locale/LocaleInformation_no_NO.h,
	gnu/java/locale/LocaleInformation_es_EC.java,
	gnu/java/locale/LocaleInformation_ro_RO.java,
	gnu/java/locale/LocaleInformation_he_IL.java,
	gnu/java/locale/Calendar.java,
	gnu/java/locale/LocaleInformation_ar_LB.h,
	gnu/java/locale/LocaleInformation_fa_IR.h,
	gnu/java/locale/LocaleInformation_es_CO.java,
	gnu/java/locale/LocaleInformation_cy_GB.h,
	gnu/java/locale/LocaleInformation_en_SG.java,
	gnu/java/locale/LocaleInformation_mk_MK.java,
	gnu/java/locale/LocaleInformation_es_ES.java,
	gnu/java/locale/LocaleInformation_eu_ES.java,
	gnu/java/locale/LocaleInformation_en_BW.h,
	gnu/java/locale/LocaleInformation_es_VE.java,
	gnu/java/locale/LocaleInformation_zh_CN.java,
	gnu/java/locale/LocaleInformation_hr_HR.java,
	gnu/java/locale/LocaleInformation_gd_GB.java,
	gnu/java/locale/LocaleInformation_se_NO.java,
	gnu/java/locale/LocaleInformation_te_IN.h,
	gnu/java/locale/LocaleInformation_en.h,
	gnu/java/locale/LocaleInformation_ar_TN.h,
	gnu/java/locale/Calendar_nl.java,
	gnu/java/locale/LocaleInformation_es_US.java,
	gnu/java/locale/LocaleInformation_nl_BE.java,
	gnu/java/locale/LocaleInformation_es_PY.java,
	gnu/java/locale/LocaleInformation_sk_SK.h,
	gnu/java/locale/LocaleInformation_fr_CA.h,
	gnu/java/locale/LocaleInformation_be_BY.java,
	gnu/java/locale/LocaleInformation_lv_LV.java,
	gnu/java/locale/LocaleInformation_lt_LT.h,
	gnu/java/locale/LocaleInformation_gv_GB.java,
	gnu/java/locale/LocaleInformation_ar_MA.h,
	gnu/java/locale/LocaleInformation_en_IE.h,
	gnu/java/locale/LocaleInformation_es_CL.java,
	gnu/java/locale/LocaleInformation_bn_IN.h,
	gnu/java/locale/Calendar_de.java,
	gnu/java/locale/LocaleInformation_yi_US.h,
	gnu/java/locale/LocaleInformation_ar_DZ.java,
	gnu/java/locale/LocaleInformation_es_GT.java,
	gnu/java/locale/Calendar_de.h,
	gnu/java/locale/LocaleInformation_es_NI.h,
	gnu/java/locale/LocaleInformation_en_CA.java,
	gnu/java/locale/LocaleInformation_zh_CN.h,
	gnu/java/locale/LocaleInformation_es_VE.h,
	gnu/java/locale/LocaleInformation_de_CH.h,
	gnu/java/locale/LocaleInformation_en_NZ.java,
	gnu/java/locale/LocaleInformation_mi_NZ.java,
	gnu/java/locale/LocaleInformation_en_US.h,
	gnu/java/locale/LocaleInformation_sl_SI.h,
	gnu/java/locale/LocaleInformation_et_EE.java,
	gnu/java/locale/LocaleInformation_mi_NZ.h,
	gnu/java/locale/LocaleInformation_ar_QA.java,
	gnu/java/locale/LocaleInformation_en_HK.java,
	gnu/java/locale/LocaleInformation_ar_IQ.java,
	gnu/java/locale/LocaleInformation_ar_OM.java,
	gnu/java/locale/LocaleInformation_fr_FR.java,
	gnu/java/locale/LocaleInformation_es_CR.h,
	gnu/java/locale/LocaleInformation_en.java,
	gnu/java/locale/LocaleInformation_es_GT.h,
	gnu/java/locale/LocaleInformation_ur_PK.java,
	gnu/java/locale/LocaleInformation_pt_PT.java,
	gnu/java/locale/LocaleInformation_et_EE.h,
	gnu/java/locale/LocaleInformation_ar_IN.java,
	gnu/java/locale/LocaleInformation_es_AR.java,
	gnu/java/locale/LocaleInformation_en_PH.java,
	gnu/java/locale/LocaleInformation_en_IN.h,
	gnu/java/locale/LocaleInformation_kl_GL.h,
	gnu/java/locale/LocaleInformation_gl_ES.h,
	gnu/java/locale/LocaleInformation_sq_AL.java,
	gnu/java/locale/LocaleInformation_en_SG.h,
	gnu/java/locale/LocaleInformation_de_CH.java,
	gnu/java/locale/LocaleInformation_ga_IE.java,
	gnu/java/locale/LocaleInformation_no_NO.java,
	gnu/java/locale/LocaleInformation_de_AT.java,
	gnu/java/locale/LocaleInformation_tg_TJ.h,
	gnu/java/locale/LocaleInformation_hu_HU.h,
	gnu/java/locale/LocaleInformation_es_SV.java,
	gnu/java/locale/LocaleInformation_zh_SG.h,
	gnu/java/locale/LocaleInformation_ca_ES.h,
	gnu/java/locale/LocaleInformation_de_AT.h,
	gnu/java/locale/LocaleInformation_ar_SY.h,
	gnu/java/locale/LocaleInformation_he_IL.h,
	gnu/java/locale/LocaleInformation_ro_RO.h,
	gnu/java/locale/LocaleInformation_zh_TW.java,
	gnu/java/locale/LocaleInformation_es_NI.java,
	gnu/java/locale/LocaleInformation_ar_JO.h,
	gnu/java/locale/LocaleInformation_br_FR.h,
	gnu/java/locale/Calendar_en.java,
	gnu/java/locale/LocaleInformation_eu_ES.h,
	gnu/java/locale/LocaleInformation_pt_BR.java,
	gnu/java/locale/LocaleInformation_tg_TJ.java,
	gnu/java/locale/LocaleInformation_iw_IL.h,
	gnu/java/locale/LocaleInformation_ar_AE.h,
	gnu/java/locale/LocaleInformation_fr_LU.h,
	gnu/java/locale/LocaleInformation_id_ID.h,
	gnu/java/locale/LocaleInformation_sv_SE.java,
	gnu/java/locale/LocaleInformation_en_GB.h,
	gnu/java/locale/LocaleInformation_ar_EG.h,
	gnu/java/locale/LocaleInformation_cy_GB.java,
	gnu/java/locale/LocaleInformation_be_BY.h,
	gnu/java/locale/LocaleInformation_yi_US.java,
	gnu/java/locale/LocaleInformation_tr_TR.java,
	gnu/java/locale/LocaleInformation_pt_PT.h,
	gnu/java/locale/LocaleInformation_ar_IQ.h,
	gnu/java/locale/LocaleInformation_cs_CZ.java,
	gnu/java/locale/LocaleInformation_ar_TN.java,
	gnu/java/locale/LocaleInformation_ko_KR.java,
	gnu/java/locale/LocaleInformation_ar_AE.java,
	gnu/java/locale/LocaleInformation_fr_LU.java,
	gnu/java/locale/LocaleInformation_it_IT.h,
	gnu/java/locale/LocaleInformation_mt_MT.java,
	gnu/java/locale/LocaleInformation_fr_BE.h,
	gnu/java/locale/LocaleInformation_es_DO.java,
	gnu/java/locale/LocaleInformation_ta_IN.java,
	gnu/java/locale/LocaleInformation_es_CL.h,
	gnu/java/locale/LocaleInformation_te_IN.java,
	gnu/java/locale/LocaleInformation_ar_YE.java,
	gnu/java/locale/LocaleInformation_kw_GB.h,
	gnu/java/locale/LocaleInformation_uk_UA.java,
	gnu/java/locale/LocaleInformation_cs_CZ.h,
	gnu/java/locale/LocaleInformation_da_DK.h,
	gnu/java/locale/LocaleInformation_en_CA.h,
	gnu/java/locale/Calendar_en.h,
	gnu/java/locale/LocaleInformation_pt_BR.h,
	gnu/java/locale/LocaleInformation_ar_SY.java,
	gnu/java/locale/LocaleInformation_lt_LT.java,
	gnu/java/locale/LocaleInformation_vi_VN.java,
	gnu/java/locale/LocaleInformation_ur_PK.h,
	gnu/java/locale/LocaleInformation_en_IN.java,
	gnu/java/locale/LocaleInformation_kl_GL.java,
	gnu/java/locale/LocaleInformation_ja_JP.h,
	gnu/java/locale/LocaleInformation_es_UY.h,
	gnu/java/locale/LocaleInformation_es_PA.h,
	gnu/java/locale/LocaleInformation_de_LU.h,
	gnu/java/locale/LocaleInformation_fo_FO.h,
	gnu/java/locale/LocaleInformation_oc_FR.h,
	gnu/java/locale/LocaleInformation_zh_TW.h,
	gnu/java/locale/LocaleInformation_hu_HU.java,
	gnu/java/locale/LocaleInformation_ar_KW.h,
	gnu/java/locale/LocaleInformation_mr_IN.h,
	gnu/java/locale/LocaleInformation_ar_EG.java,
	gnu/java/locale/LocaleInformation_nl.h,
	gnu/java/locale/LocaleInformation_af_ZA.java,
	gnu/java/locale/LocaleInformation_es_PY.h,
	gnu/java/locale/LocaleInformation_nl_BE.h,
	gnu/java/locale/LocaleInformation_vi_VN.h,
	gnu/java/locale/LocaleInformation_es_PA.java,
	gnu/java/locale/Calendar.h,
	gnu/java/locale/LocaleInformation_da_DK.java,
	gnu/java/locale/LocaleInformation_de_BE.h,
	gnu/java/locale/LocaleInformation_ar_DZ.h,
	gnu/java/locale/LocaleInformation_bs_BA.java,
	gnu/java/locale/LocaleInformation_id_ID.java,
	gnu/java/locale/LocaleInformation_en_US.java,
	gnu/java/locale/LocaleInformation_sl_SI.java,
	gnu/java/locale/LocaleInformation_fr_BE.java,
	gnu/java/locale/LocaleInformation_ar_LB.java,
	gnu/java/locale/LocaleInformation_it_CH.java,
	gnu/java/locale/LocaleInformation_en_ZW.h,
	gnu/java/locale/LocaleInformation_gv_GB.h,
	gnu/java/locale/LocaleInformation_es_HN.java,
	gnu/java/locale/LocaleInformation_es_BO.h,
	gnu/java/locale/LocaleInformation_en_AU.h,
	gnu/java/locale/LocaleInformation_ar_SD.h,
	gnu/java/locale/LocaleInformation_sr_YU.java,
	gnu/java/locale/LocaleInformation_es_HN.h,
	gnu/java/locale/LocaleInformation_iw_IL.java,
	gnu/java/locale/LocaleInformation_it_IT.java,
	gnu/java/locale/LocaleInformation_es_MX.java,
	gnu/java/locale/LocaleInformation_es_PR.h,
	gnu/java/locale/LocaleInformation_ar_MA.java,
	gnu/java/locale/LocaleInformation_en_IE.java,
	gnu/java/locale/LocaleInformation.java,
	gnu/java/locale/LocaleInformation_en_DK.java,
	gnu/java/locale/LocaleInformation_es_EC.h,
	gnu/java/locale/LocaleInformation_mt_MT.h,
	gnu/java/locale/LocaleInformation_hi_IN.java,
	gnu/java/locale/LocaleInformation_en_AU.java,
	gnu/java/locale/LocaleInformation_es_BO.java,
	gnu/java/locale/LocaleInformation_gl_ES.java,
	gnu/java/locale/LocaleInformation_en_BW.java,
	gnu/java/locale/LocaleInformation_en_HK.h,
	gnu/java/locale/LocaleInformation_de_DE.java,
	gnu/java/locale/LocaleInformation_mk_MK.h,
	gnu/java/locale/LocaleInformation_es_ES.h,
	gnu/java/locale/LocaleInformation_sq_AL.h,
	gnu/java/locale/LocaleInformation_sv_FI.java,
	gnu/java/locale/LocaleInformation_pl_PL.java,
	gnu/java/locale/LocaleInformation_tl_PH.java,
	gnu/java/locale/LocaleInformation_sr_YU.h,
	gnu/java/locale/LocaleInformation_nl_NL.h,
	gnu/java/locale/LocaleInformation_zh_HK.h,
	java/text/DateFormatSymbols.java,
	java/text/DecimalFormatSymbols.java,
	java/util/Currency.java,
	java/util/Calendar.java: Remove

2008-03-03  Andrew Haley  <aph@littlepinkcloud.com>

	* testsuite/lib/libjava.exp (libjava_arguments): Use regexp
	instead of string match when checking for linux targets.
 
2008-03-03  Matthias Klose  <doko@ubuntu.com>

	* classpath/tools/classes/gnu/classpath/tools/orbd/Main.class,
	classpath/lib/gnu/java/locale/LocaleData.class
	classpath/lib/gnu/java/rmi/registry/RegistryImpl.class
	classpath/lib/gnu/gcj/convert/Convert.class
	classpath/lib/gnu/gcj/tools/gcj_dbtool/Main.class: Regenerate.

2008-03-02  Jakub Jelinek  <jakub@redhat.com>

	* gnu/gcj/convert/Convert.java (version): Update copyright notice
	dates.
	* gnu/gcj/tools/gcj_dbtool/Main.java (main): Likewise.

2008-02-27  David Daney  <ddaney@avtrex.com>

	* HACKING: Correct typo in find command.

2008-02-27  David Daney  <ddaney@avtrex.com>

	* gnu/java/net/natPlainSocketImplPosix.cc (bind): Remove check for
	null host.

2008-02-20  Tom Tromey  <tromey@redhat.com>

	PR libgcj/24170:
	* java/io/natFilePosix.cc (File::performList): Don't use
	readdir_r.
	* configure, include/config.h.in: Rebuilt.
	* configure.ac: Don't check for readdir_r.

2008-02-16  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	PR libgcj/33085
	* configure: Regenerate.

2008-02-15  Andreas Tobler  <a.tobler@schweiz.org>

	PR testsuite/35208
	* testsuite/libjava.jvmti/interp/natgetstacktrace.cc
	(Java_getstacktrace_natRunner): Increase the usleep time to a value
	which prevents OS-X to get into a deadlock.

2008-02-06  Andreas Tobler  <a.tobler@schweiz.org>

	PR libgcj/30071
	* Makefile.am (install-exec-hook): Add install-binPROGRAMS.
	* Makefile.in: Regenerate.

2008-01-24  David Edelsohn  <edelsohn@gnu.org>

	* shlibpath.m4: Add AIX 6 support.
	* configure: Regenerate.

2008-01-18  Alexandre Oliva  <aoliva@redhat.com>

	PR c++/33887
	* link.cc (_Jv_Linker::prepare_constant_time_tables):
	has_interfaces is boolean, treat it as such.

2008-01-04  Andrew Haley  <aph@redhat.com>

	PR libgcj/34444
	* java/lang/natClass.cc (Class::getEnclosingClass): Call
	getDeclaringClass().
